Interface OrderHistory
- All Known Implementing Classes:
OrderHistoryImpl
public interface OrderHistory
Client interface for searching order history in the Equinix Customer Portal.
Backed by the Order History v1 API at /v1/retrieve-orders. Orders are discovered by
posting a filter to search(OrderHistorySearchRequest); the IBX/cage locations the
current user may filter by are available via listLocations().
-
Method Summary
Modifier and TypeMethodDescriptionList<? extends PermissibleLocation> Lists the IBX/cage locations the current user may filter order history by.List<? extends OrderHistoryItem> search(OrderHistorySearchRequest request) Searches order history and returns the records of the requested page.searchPage(OrderHistorySearchRequest request) Searches order history and returns one page with its paging metadata.
-
Method Details
-
search
Searches order history and returns the records of the requested page.Maps to
POST /v1/retrieve-orders(POST_orders-history). Same assearchPage(request).getContent(); usesearchPage(OrderHistorySearchRequest)for the paging metadata.- Parameters:
request- the search request body- Returns:
- the matching order history records on the requested page
-
searchPage
Searches order history and returns one page with its paging metadata.Maps to
POST /v1/retrieve-orders(POST_orders-history); the response envelope is{links, content, page{size, totalElements, totalPages, number}}.- Parameters:
request- the search request body- Returns:
- the page of records with
linksandpagemetadata
-
listLocations
List<? extends PermissibleLocation> listLocations()Lists the IBX/cage locations the current user may filter order history by.Maps to
GET /v1/retrieve-orders/locations(GET_retrieve-orders-locations).- Returns:
- the list of permissible locations
-